Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.core.beans
Class RuntimeState

    java.lang.Object
      oracle.ifs.beans.LibraryObject
          oracle.ifs.beans.TieLibraryObject
              oracle.ifs.beans.SystemObject
                  oracle.ifs.beans.TieSystemObject
                      oracle.ifs.core.beans.RuntimeState

All Implemented Interfaces:
  IfsEventHandler, LibraryObjectInterface, SystemObjectInterface, Traceable

Direct Known Subclasses:
  TieRuntimeState

    public class RuntimeState

extends TieSystemObject

A RuntimeState is an abstract class used to track the runtime state of Nodes, services, Servers, and Handlers.

(Published)

Field Summary
`static java.lang.String` | `CLASS_NAME` The name of the ClassObject representing this class.
`static java.lang.String` | `CONFIGURATIONBUNDLE_ATTRIBUTE` Name of the ConfigurationBundle Attribute.
`static java.lang.String` | `CONFIGURATIONNAME_ATTRIBUTE` Name of the ConfigurationName Attribute.
`static java.lang.String` | `CONFIGURATIONOVERRIDEBUNDLE_ATTRIBUTE` Name of the ConfigurationOverrideBundle Attribute.
`static java.lang.String` | `CREATEDATE_ATTRIBUTE` Name of the CreateDate Attribute.
`static java.lang.String` | `DISPOSEDATE_ATTRIBUTE` Name of the DisposeDate Attribute.
`static java.lang.String` | `NAME_ATTRIBUTE` Name of the Name Attribute.
`static java.lang.String` | `RUNTIMESTATEBUNDLE_ATTRIBUTE` Name of the RuntimeStateBundle Attribute.

Fields inherited from class oracle.ifs.beans.SystemObject
`ACTIVE_ATTRIBUTE, POLICYBUNDLE_ATTRIBUTE, POLICYLISTS_ATTRIBUTE, PROPERTYBUNDLE_ATTRIBUTE`

Fields inherited from class oracle.ifs.beans.LibraryObject
`DOMAIN_UNIQUENAME_DEFAULT_DELIMITER, m_ClassId, m_Id, m_Session`

Constructor Summary
`protected` | `RuntimeState(LibrarySession session, java.lang.Long id, java.lang.Long classId, S_LibraryObjectData data)` Constructs a RuntimeState object.

Method Summary
`static long` | `extractEventPayloadType(LibrarySession session, java.lang.Long auxNumber)` Extracts the event payload type from the specified auxiliary number payload from the event.
`static java.lang.Long` | `generateAuxiliaryNumberPayload(LibrarySession session, long payloadType)` Generates the number payload to be included in the IfsEvent and AuditEvent instances used to indicate state change requests.
`AuditEvent[]` | `getAuditEvents()` Gets all audit events that have been posted on the target.
`PropertyBundle` | `getConfigurationBundle()` Returns the Configuration PropertyBundle that is used to reflect the initial configuration.
`java.lang.String` | `getConfigurationName()` Returns the name of the Configuration object used to create the runtime object reflected by this RuntimeState.
`protected java.lang.String` | `getConfigurationOverrideAuditEventKey()` Gets the Audit Event key to use for posting configuration overrides.
`PropertyBundle` | `getConfigurationOverrideBundle()` Returns the Configuration Override PropertyBundle that is used to reflect any overrides to the initial configuration.
`AttributeValue` | `getConfigurationOverridePropertyValue(java.lang.String key)` Returns a configuration override property from the Configuration Override PropertyBundle.
`AttributeValue` | `getConfigurationPropertyValue(java.lang.String key)` Returns a configuration property from the Configuration PropertyBundle.
`java.util.Date` | `getCreateDate()` Returns the date this object was created.
`java.util.Date` | `getDisposeDate()` Returns the date when the Runtime object reflected by this RuntimeState was disposed.
`PropertyBundle` | `getRuntimeStateBundle()` Returns the Runtime State PropertyBundle that is used to reflect the state of the running object.
`AttributeValue` | `getRuntimeStatePropertyValue(java.lang.String key)` Returns a runtime state property from the runtime state PropertyBundle.
`boolean` | `hasNameAttribute()` Returns true if this object is an instance of a class that has a NAME attribute, and false otherwise.
`AuditEvent` | `postAuditEvent(java.lang.String eventKey)` Posts an audit event, without any properties.
`AuditEvent` | `postAuditEvent(java.lang.String eventKey, AttributeValue[] props)` Posts an audit event, with the specified properties.
`AuditEvent` | `postAuditEvent(java.lang.String eventKey, java.lang.Long auxNumber)` Posts an audit event, without any properties.
`AuditEvent` | `postAuditEvent(java.lang.String eventKey, java.lang.String auxString)` Posts an audit event, without any properties.
`AuditEvent` | `postAuditEvent(java.lang.String eventKey, java.lang.String auxString, java.lang.Long auxNumber, AttributeValue[] props)` Posts an audit event, with the specified properties.
`void` | `postConfigurationOverrideRequest(AttributeValueTable overrides)` Posts configuration override request for this RuntimeState.
`protected void` | `preFree(LibraryObjectDefinition lodef)` Extensibility point to perform actions prior to the permanent deletion ("free") of a object.
`void` | `putConfigurationOverrideProperty(java.lang.String name, AttributeValue av)` Adds a Property to the Configuration override PropertyBundle.
`void` | `putConfigurationProperty(java.lang.String name, AttributeValue av)` Adds a Property to the Configuration PropertyBundle.
`void` | `putRuntimeStateProperty(java.lang.String name, AttributeValue av)` Adds a Property to the runtime state PropertyBundle.
`void` | `removeAllConfigurationOverrideProperties()` Removes all Configuration Override Properties.
`void` | `removeAllConfigurationProperties()` Removes all Configuration Properties.
`void` | `removeAllRuntimeStateProperties()` Removes all runtime state Properties.
`void` | `removeConfigurationOverrideProperty(java.lang.String name)` Removes a Configuration Override Property.
`void` | `removeConfigurationProperty(java.lang.String name)` Removes a Configuration Property.
`void` | `removeRuntimeStateProperty(java.lang.String name)` Removes a runtime state Property.
`void` | `setConfigurationBundle(PropertyBundle bundle)` Sets the Configuration PropertyBundle.
`void` | `setConfigurationOverrideBundle(PropertyBundle bundle)` Sets the Configuration Override PropertyBundle.
`void` | `setDisposeDate()` Sets the Dispose date, using the current time as its value.
`void` | `setDisposeDate(java.util.Date date)` Sets the Dispose date.
`void` | `setRuntimeStateBundle(PropertyBundle bundle)` Sets the runtime state PropertyBundle.

Methods inherited from class oracle.ifs.beans.SystemObject
`addCategory, constructSystemObject, constructSystemObjectVector, free, freeCategories, getCategories, getCategories, getCategories, getCategories, getPolicyBundle, getPolicyLists, handleCreate, isActive, postCreate, postUpdate, preCreate, preUpdate, putPolicy, removeAllPolicies, removePolicy, removePolicy, setActive, setPolicyBundle, setPolicyLists`

Methods inherited from class oracle.ifs.beans.LibraryObject
`applyProperties, auditCreated, auditUpdated, checkRequiredAttributeSet, clearCopyContext, clearFreeContext, clearUpdateContext, constructIdArray, constructIdArray, constructLibraryObject, constructLibraryObjectVector, createDedicatedPropertyBundle, deriveDomainUniqueName, dispose, equals, free, get, getAttribute, getAttributeByUpperCaseName, getAttributes, getAttributesByUpperCaseNames, getAuditDomainContext, getAuditEventFolderContext, getClassId, getClassname, getClassName, getClassObject, getCommonName, getCopyContext, getCreateContext, getData, getDefinition, getEffectivePolicyListElements, getEventualAttributeByUpperCaseName, getFreeContext, getId, getLabel, getName, getObjectReferenceAttribute, getOperationActionSpecificationContext, getPropertyBundle, getPropertyValue, getPublicObjectAttribute, getResourceString, getResourceString, getSchemaObjectAttribute, getSession, getSessionInterface, getSharedStateFactory, getStringIdentifier, getSystemObjectAttribute, getTraceLogger, getUpdateContext, handleAdminModeChange, handleEvent, handleFree, handleUpdate, hashCode, invokeOperation, invokeOperation, invokeServerMethod, isConnected, isCoreEventPostingEnabled, isInstanceOf, isTraced, isValidEventType, lockRows, lookupInstanceLabel, postEvent, postEvent, postFree, prePostAuditEvent, putProperty, putProperty, removeAllProperties, removeProperty, renderAsRandomAccessContent, renderAsReader, renderAsStream, setAttribute, setAttribute, setAttributes, setAttributes, setCopyContext, setFreeContext, setId, setName, setPropertyBundle, setPropertyValue, setUpdateContext, toString, trace, trustHandleCreate, trustHandleCreateAsAdmin, trustHandleFree, trustHandleFreeAsAdmin, trustHandleUpdate, trustHandleUpdateAsAdmin, update, updateAndExposeDefinition, validatePropertyValues, vectorLibraryObjectElement, vectorToLibraryObjectArray, verifyAdministrationMode, verifyConnected, verifySystemUserAccess, verifyTargetObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface oracle.ifs.common.LibraryObjectInterface
`getAttributeByUpperCaseName, getClassId, getId, getSessionInterface`

Methods inherited from interface oracle.ifs.common.Traceable
`getTraceLogger, isTraced, trace`

Field Detail

### CLASS_NAME

    public static final java.lang.String CLASS_NAME

  Description copied from class: `RuntimeState`
  The name of the ClassObject representing this class.

  See Also:
    Constant Field Values
  (Published)

### NAME_ATTRIBUTE

    public static final java.lang.String NAME_ATTRIBUTE

  Description copied from class: `RuntimeState`
  Name of the Name Attribute.

  See Also:
    Constant Field Values
  (Published)

### CONFIGURATIONNAME_ATTRIBUTE

    public static final java.lang.String CONFIGURATIONNAME_ATTRIBUTE

  Description copied from class: `RuntimeState`
  Name of the ConfigurationName Attribute.

  See Also:
    Constant Field Values
  (Published)

### CREATEDATE_ATTRIBUTE

    public static final java.lang.String CREATEDATE_ATTRIBUTE

  Description copied from class: `RuntimeState`
  Name of the CreateDate Attribute.

  See Also:
    Constant Field Values
  (Published)

### DISPOSEDATE_ATTRIBUTE

    public static final java.lang.String DISPOSEDATE_ATTRIBUTE

  Description copied from class: `RuntimeState`
  Name of the DisposeDate Attribute.

  See Also:
    Constant Field Values
  (Published)

### CONFIGURATIONBUNDLE_ATTRIBUTE

    public static final java.lang.String CONFIGURATIONBUNDLE_ATTRIBUTE

  Description copied from class: `RuntimeState`
  Name of the ConfigurationBundle Attribute.

  See Also:
    Constant Field Values
  (Published)

### CONFIGURATIONOVERRIDEBUNDLE_ATTRIBUTE

    public static final java.lang.String CONFIGURATIONOVERRIDEBUNDLE_ATTRIBUTE

  Description copied from class: `RuntimeState`
  Name of the ConfigurationOverrideBundle Attribute.

  See Also:
    Constant Field Values
  (Published)

### RUNTIMESTATEBUNDLE_ATTRIBUTE

    public static final java.lang.String RUNTIMESTATEBUNDLE_ATTRIBUTE

  Description copied from class: `RuntimeState`
  Name of the RuntimeStateBundle Attribute.

  See Also:
    Constant Field Values
  (Published)

Constructor Detail

### RuntimeState

    protected RuntimeState(LibrarySession session,
                           java.lang.Long id,
                           java.lang.Long classId,
                           S_LibraryObjectData data)
                    throws IfsException

  Constructs a RuntimeState object.

  Parameters:
    `session` - current LibrarySession
    `id` - object id
    `classId` - class id
    `data` - data component
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

Method Detail

### hasNameAttribute

    public boolean hasNameAttribute()
                             throws IfsException

  Description copied from class: `LibraryObject`
  Returns true if this object is an instance of a class that has a NAME attribute, and false otherwise.

  Overrides:
    `hasNameAttribute` in class `LibraryObject`
  Returns:
    true if the object has a NAME attribute.
  Throws:
    `IfsException` - if operation fails.

### getConfigurationName

    public java.lang.String getConfigurationName()
                                          throws IfsException

  Description copied from class: `RuntimeState`
  Returns the name of the Configuration object used to create the runtime object reflected by this RuntimeState.

  Returns:
    the name of the associated Configuration object
  Throws:
    `IfsException` - if the operation fails.

### getCreateDate

    public java.util.Date getCreateDate()
                                 throws IfsException

  Description copied from class: `RuntimeState`
  Returns the date this object was created.

  Returns:
    Date of creation
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getDisposeDate

    public java.util.Date getDisposeDate()
                                  throws IfsException

  Description copied from class: `RuntimeState`
  Returns the date when the Runtime object reflected by this RuntimeState was disposed.

  Returns:
    Date the Runtime object was disposed
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getConfigurationBundle

    public PropertyBundle getConfigurationBundle()
                                          throws IfsException

  Description copied from class: `RuntimeState`
  Returns the Configuration PropertyBundle that is used to reflect the initial configuration.

  Returns null if no PropertyBundle is present.

  Returns:
    the configuration PropertyBundle
  Throws:
    `IfsException` - if operation fails
  (Published)

### getConfigurationPropertyValue

    public AttributeValue getConfigurationPropertyValue(java.lang.String key)
                                                 throws IfsException

  Description copied from class: `RuntimeState`
  Returns a configuration property from the Configuration PropertyBundle.

  Parameters:
    `key` - the property's key
  Returns:
    the property value, or null if no property exists with that key
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getConfigurationOverrideBundle

    public PropertyBundle getConfigurationOverrideBundle()
                                                  throws IfsException

  Description copied from class: `RuntimeState`
  Returns the Configuration Override PropertyBundle that is used to reflect any overrides to the initial configuration.

  Returns null if no PropertyBundle is present.

  Returns:
    the configuration override PropertyBundle
  Throws:
    `IfsException` - if operation fails
  (Published)

### getConfigurationOverridePropertyValue

    public AttributeValue getConfigurationOverridePropertyValue(java.lang.String key)
                                                         throws IfsException

  Description copied from class: `RuntimeState`
  Returns a configuration override property from the Configuration Override PropertyBundle.

  Parameters:
    `key` - the property's key
  Returns:
    the property value, or null if no property exists with that key
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getRuntimeStateBundle

    public PropertyBundle getRuntimeStateBundle()
                                         throws IfsException

  Description copied from class: `RuntimeState`
  Returns the Runtime State PropertyBundle that is used to reflect the state of the running object.

  Returns null if no PropertyBundle is present.

  Returns:
    the runtime state PropertyBundle
  Throws:
    `IfsException` - if operation fails
  (Published)

### getRuntimeStatePropertyValue

    public AttributeValue getRuntimeStatePropertyValue(java.lang.String key)
                                                throws IfsException

  Description copied from class: `RuntimeState`
  Returns a runtime state property from the runtime state PropertyBundle.

  Parameters:
    `key` - the property's key
  Returns:
    the property value, or null if no property exists with that key
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setDisposeDate

    public void setDisposeDate()
                        throws IfsException

  Description copied from class: `RuntimeState`
  Sets the Dispose date, using the current time as its value.

  Throws:
    `IfsException` - if the operation fails
  (Published)

### setDisposeDate

    public void setDisposeDate(java.util.Date date)
                        throws IfsException

  Description copied from class: `RuntimeState`
  Sets the Dispose date.

  Parameters:
    `date` - Date the Runtime object was disposed
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setConfigurationBundle

    public void setConfigurationBundle(PropertyBundle bundle)
                                throws IfsException

  Description copied from class: `RuntimeState`
  Sets the Configuration PropertyBundle.

  Parameters:
    `bundle` - the Configuration bundle setting
  Throws:
    `IfsException` - if operation fails
  (Published)

### putConfigurationProperty

    public void putConfigurationProperty(java.lang.String name,
                                         AttributeValue av)
                                  throws IfsException

  Description copied from class: `RuntimeState`
  Adds a Property to the Configuration PropertyBundle.

  Parameters:
    `name` - the name of the new property
    `av` - the value of the new property
  Throws:
    `IfsException` - if operation fails
  (Published)

### removeConfigurationProperty

    public void removeConfigurationProperty(java.lang.String name)
                                     throws IfsException

  Description copied from class: `RuntimeState`
  Removes a Configuration Property.

  Parameters:
    `name` - the name of the property to remove
  Throws:
    `IfsException` - if operation fails
  (Published)

### removeAllConfigurationProperties

    public void removeAllConfigurationProperties()
                                          throws IfsException

  Description copied from class: `RuntimeState`
  Removes all Configuration Properties.

  Throws:
    `IfsException` - if operation fails
  (Published)

### setConfigurationOverrideBundle

    public void setConfigurationOverrideBundle(PropertyBundle bundle)
                                        throws IfsException

  Description copied from class: `RuntimeState`
  Sets the Configuration Override PropertyBundle.

  Parameters:
    `bundle` - the Configuration override bundle setting
  Throws:
    `IfsException` - if operation fails
  (Published)

### putConfigurationOverrideProperty

    public void putConfigurationOverrideProperty(java.lang.String name,
                                                 AttributeValue av)
                                          throws IfsException

  Description copied from class: `RuntimeState`
  Adds a Property to the Configuration override PropertyBundle.

  Parameters:
    `name` - the name of the new property
    `av` - the value of the new property
  Throws:
    `IfsException` - if operation fails
  (Published)

### removeConfigurationOverrideProperty

    public void removeConfigurationOverrideProperty(java.lang.String name)
                                             throws IfsException

  Description copied from class: `RuntimeState`
  Removes a Configuration Override Property.

  Parameters:
    `name` - the name of the property to remove
  Throws:
    `IfsException` - if operation fails
  (Published)

### removeAllConfigurationOverrideProperties

    public void removeAllConfigurationOverrideProperties()
                                                  throws IfsException

  Description copied from class: `RuntimeState`
  Removes all Configuration Override Properties.

  Throws:
    `IfsException` - if operation fails
  (Published)

### setRuntimeStateBundle

    public void setRuntimeStateBundle(PropertyBundle bundle)
                               throws IfsException

  Description copied from class: `RuntimeState`
  Sets the runtime state PropertyBundle.

  Parameters:
    `bundle` - the Configuration bundle setting
  Throws:
    `IfsException` - if operation fails
  (Published)

### putRuntimeStateProperty

    public void putRuntimeStateProperty(java.lang.String name,
                                        AttributeValue av)
                                 throws IfsException

  Description copied from class: `RuntimeState`
  Adds a Property to the runtime state PropertyBundle.

  Parameters:
    `name` - the name of the new property
    `av` - the value of the new property
  Throws:
    `IfsException` - if operation fails
  (Published)

### removeRuntimeStateProperty

    public void removeRuntimeStateProperty(java.lang.String name)
                                    throws IfsException

  Description copied from class: `RuntimeState`
  Removes a runtime state Property.

  Parameters:
    `name` - the name of the property to remove
  Throws:
    `IfsException` - if operation fails
  (Published)

### removeAllRuntimeStateProperties

    public void removeAllRuntimeStateProperties()
                                         throws IfsException

  Description copied from class: `RuntimeState`
  Removes all runtime state Properties.

  Throws:
    `IfsException` - if operation fails
  (Published)

### getAuditEvents

    public AuditEvent[] getAuditEvents()
                                throws IfsException

  Description copied from class: `RuntimeState`
  Gets all audit events that have been posted on the target.

  Returns:
    the events that have been posted
  Throws:
    `IfsException` - if the operation fails
  (Published)

### postAuditEvent

    public AuditEvent postAuditEvent(java.lang.String eventKey)
                              throws IfsException

  Description copied from class: `RuntimeState`
  Posts an audit event, without any properties.

  Parameters:
    `eventKey` - the event key
  Returns:
    the event that was posted
  Throws:
    `IfsException` - if the operation fails
  (Published)

### postAuditEvent

    public AuditEvent postAuditEvent(java.lang.String eventKey,
                                     java.lang.Long auxNumber)
                              throws IfsException

  Description copied from class: `RuntimeState`
  Posts an audit event, without any properties.

  Parameters:
    `eventKey` - the event key
    `auxNumber` - the auxiliary number payload
  Returns:
    the event that was posted
  Throws:
    `IfsException` - if the operation fails
  (Published)

### postAuditEvent

    public AuditEvent postAuditEvent(java.lang.String eventKey,
                                     java.lang.String auxString)
                              throws IfsException

  Description copied from class: `RuntimeState`
  Posts an audit event, without any properties.

  Parameters:
    `eventKey` - the event key
    `auxString` - the auxiliary String payload
  Returns:
    the event that was posted
  Throws:
    `IfsException` - if the operation fails
  (Published)

### postAuditEvent

    public AuditEvent postAuditEvent(java.lang.String eventKey,
                                     AttributeValue[] props)
                              throws IfsException

  Description copied from class: `RuntimeState`
  Posts an audit event, with the specified properties.

  Parameters:
    `eventKey` - the event key
    `props` - the event properties
  Returns:
    the event that was posted
  Throws:
    `IfsException` - if the operation fails
  (Published)

### postAuditEvent

    public AuditEvent postAuditEvent(java.lang.String eventKey,
                                     java.lang.String auxString,
                                     java.lang.Long auxNumber,
                                     AttributeValue[] props)
                              throws IfsException

  Description copied from class: `RuntimeState`
  Posts an audit event, with the specified properties.

  Parameters:
    `eventKey` - the event key
    `auxString` - the auxiliary String payload
    `auxNumber` - the auxiliary number payload
    `props` - the event properties
  Returns:
    the event that was posted
  Throws:
    `IfsException` - if the operation fails
  (Published)

### postConfigurationOverrideRequest

    public void postConfigurationOverrideRequest(AttributeValueTable overrides)
                                          throws IfsException

  Description copied from class: `RuntimeState`
  Posts configuration override request for this RuntimeState.

  Uses `getConfigurationOverrideAuditEventKey` to determine the audit event key to use.

  Parameters:
    `overrides` - the configuration overrides to post
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getConfigurationOverrideAuditEventKey

    protected java.lang.String getConfigurationOverrideAuditEventKey()
                                                              throws IfsException

  Description copied from class: `RuntimeState`
  Gets the Audit Event key to use for posting configuration overrides.

  Returns:
    the Audit Event key
  Throws:
    `IfsException` - if the operation fails
  (Published)

### generateAuxiliaryNumberPayload

    public static java.lang.Long generateAuxiliaryNumberPayload(LibrarySession session,
                                                                long payloadType)
                                                         throws IfsException

  Description copied from class: `RuntimeState`
  Generates the number payload to be included in the IfsEvent and AuditEvent instances used to indicate state change requests.

  Parameters:
    `session` - the session context
    `payloadType` - the payload type (e.g. NodeState.NODESTATE_EVENTPAYLOAD_START)
  Returns:
    the generated the number payload
  Throws:
    `IfsException` - if the operation fails
  (Published)

### extractEventPayloadType

    public static long extractEventPayloadType(LibrarySession session,
                                               java.lang.Long auxNumber)
                                        throws IfsException

  Description copied from class: `RuntimeState`
  Extracts the event payload type from the specified auxiliary number payload from the event.

  Parameters:
    `session` - the session context
    `auxNumber` - the event's auxiliary number
  Returns:
    the payload type (e.g. NodeState.NODESTATE_EVENTPAYLOAD_START)
  Throws:
    `IfsException` - if the operation fails
  (Published)

### preFree

    protected void preFree(LibraryObjectDefinition lodef)
                    throws IfsException

  Description copied from class: `LibraryObject`
  Extensibility point to perform actions prior to the permanent deletion ("free") of a object.

  This method is typically overridden by subclasses that perform other operations prior to the target object being freed in order to all delete or modify objects related to the target object. Subclasses are expected to invoke `super.preFree`.

  Overrides:
    `preFree` in class `LibraryObject`
  Parameters:
    `lodef` - object definition used to hold options related to the free operation
  Throws:
    `IfsException` - if operation fails.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD